Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network14.64.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
14.64.0.0
Broadcast address
14.95.255.255
First usable
14.64.0.1
Last usable
14.95.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 0E400000 · Integer 239075328 to 241172479
Reverse DNS zones
64.14.in-addr.arpa
65.14.in-addr.arpa
66.14.in-addr.arpa
67.14.in-addr.arpa
68.14.in-addr.arpa
69.14.in-addr.arpa
70.14.in-addr.arpa
71.14.in-addr.arpa
72.14.in-addr.arpa
73.14.in-addr.arpa
74.14.in-addr.arpa
75.14.in-addr.arpa
76.14.in-addr.arpa
77.14.in-addr.arpa
78.14.in-addr.arpa
79.14.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001110.01000000.00000000.0000000014.64.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00001110.01000000.00000000.0000000014.64.0.0
Broadcast00001110.01011111.11111111.1111111114.95.255.255
Split into smaller subnets/22

14.64.0.0/11 makes 2,048 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
114.64.0.0/2214.64.0.1 to 14.64.3.25414.64.3.2551,022
214.64.4.0/2214.64.4.1 to 14.64.7.25414.64.7.2551,022
314.64.8.0/2214.64.8.1 to 14.64.11.25414.64.11.2551,022
414.64.12.0/2214.64.12.1 to 14.64.15.25414.64.15.2551,022
514.64.16.0/2214.64.16.1 to 14.64.19.25414.64.19.2551,022
614.64.20.0/2214.64.20.1 to 14.64.23.25414.64.23.2551,022
714.64.24.0/2214.64.24.1 to 14.64.27.25414.64.27.2551,022
814.64.28.0/2214.64.28.1 to 14.64.31.25414.64.31.2551,022
914.64.32.0/2214.64.32.1 to 14.64.35.25414.64.35.2551,022
1014.64.36.0/2214.64.36.1 to 14.64.39.25414.64.39.2551,022
1114.64.40.0/2214.64.40.1 to 14.64.43.25414.64.43.2551,022
1214.64.44.0/2214.64.44.1 to 14.64.47.25414.64.47.2551,022
1314.64.48.0/2214.64.48.1 to 14.64.51.25414.64.51.2551,022
1414.64.52.0/2214.64.52.1 to 14.64.55.25414.64.55.2551,022
1514.64.56.0/2214.64.56.1 to 14.64.59.25414.64.59.2551,022
1614.64.60.0/2214.64.60.1 to 14.64.63.25414.64.63.2551,022
1714.64.64.0/2214.64.64.1 to 14.64.67.25414.64.67.2551,022
1814.64.68.0/2214.64.68.1 to 14.64.71.25414.64.71.2551,022
1914.64.72.0/2214.64.72.1 to 14.64.75.25414.64.75.2551,022
2014.64.76.0/2214.64.76.1 to 14.64.79.25414.64.79.2551,022
2114.64.80.0/2214.64.80.1 to 14.64.83.25414.64.83.2551,022
2214.64.84.0/2214.64.84.1 to 14.64.87.25414.64.87.2551,022
2314.64.88.0/2214.64.88.1 to 14.64.91.25414.64.91.2551,022
2414.64.92.0/2214.64.92.1 to 14.64.95.25414.64.95.2551,022
2514.64.96.0/2214.64.96.1 to 14.64.99.25414.64.99.2551,022
2614.64.100.0/2214.64.100.1 to 14.64.103.25414.64.103.2551,022
2714.64.104.0/2214.64.104.1 to 14.64.107.25414.64.107.2551,022
2814.64.108.0/2214.64.108.1 to 14.64.111.25414.64.111.2551,022
2914.64.112.0/2214.64.112.1 to 14.64.115.25414.64.115.2551,022
3014.64.116.0/2214.64.116.1 to 14.64.119.25414.64.119.2551,022
3114.64.120.0/2214.64.120.1 to 14.64.123.25414.64.123.2551,022
3214.64.124.0/2214.64.124.1 to 14.64.127.25414.64.127.2551,022
3314.64.128.0/2214.64.128.1 to 14.64.131.25414.64.131.2551,022
3414.64.132.0/2214.64.132.1 to 14.64.135.25414.64.135.2551,022
3514.64.136.0/2214.64.136.1 to 14.64.139.25414.64.139.2551,022
3614.64.140.0/2214.64.140.1 to 14.64.143.25414.64.143.2551,022
3714.64.144.0/2214.64.144.1 to 14.64.147.25414.64.147.2551,022
3814.64.148.0/2214.64.148.1 to 14.64.151.25414.64.151.2551,022
3914.64.152.0/2214.64.152.1 to 14.64.155.25414.64.155.2551,022
4014.64.156.0/2214.64.156.1 to 14.64.159.25414.64.159.2551,022
4114.64.160.0/2214.64.160.1 to 14.64.163.25414.64.163.2551,022
4214.64.164.0/2214.64.164.1 to 14.64.167.25414.64.167.2551,022
4314.64.168.0/2214.64.168.1 to 14.64.171.25414.64.171.2551,022
4414.64.172.0/2214.64.172.1 to 14.64.175.25414.64.175.2551,022
4514.64.176.0/2214.64.176.1 to 14.64.179.25414.64.179.2551,022
4614.64.180.0/2214.64.180.1 to 14.64.183.25414.64.183.2551,022
4714.64.184.0/2214.64.184.1 to 14.64.187.25414.64.187.2551,022
4814.64.188.0/2214.64.188.1 to 14.64.191.25414.64.191.2551,022
4914.64.192.0/2214.64.192.1 to 14.64.195.25414.64.195.2551,022
5014.64.196.0/2214.64.196.1 to 14.64.199.25414.64.199.2551,022
5114.64.200.0/2214.64.200.1 to 14.64.203.25414.64.203.2551,022
5214.64.204.0/2214.64.204.1 to 14.64.207.25414.64.207.2551,022
5314.64.208.0/2214.64.208.1 to 14.64.211.25414.64.211.2551,022
5414.64.212.0/2214.64.212.1 to 14.64.215.25414.64.215.2551,022
5514.64.216.0/2214.64.216.1 to 14.64.219.25414.64.219.2551,022
5614.64.220.0/2214.64.220.1 to 14.64.223.25414.64.223.2551,022
5714.64.224.0/2214.64.224.1 to 14.64.227.25414.64.227.2551,022
5814.64.228.0/2214.64.228.1 to 14.64.231.25414.64.231.2551,022
5914.64.232.0/2214.64.232.1 to 14.64.235.25414.64.235.2551,022
6014.64.236.0/2214.64.236.1 to 14.64.239.25414.64.239.2551,022
6114.64.240.0/2214.64.240.1 to 14.64.243.25414.64.243.2551,022
6214.64.244.0/2214.64.244.1 to 14.64.247.25414.64.247.2551,022
6314.64.248.0/2214.64.248.1 to 14.64.251.25414.64.251.2551,022
6414.64.252.0/2214.64.252.1 to 14.64.255.25414.64.255.2551,022
6514.65.0.0/2214.65.0.1 to 14.65.3.25414.65.3.2551,022
6614.65.4.0/2214.65.4.1 to 14.65.7.25414.65.7.2551,022
6714.65.8.0/2214.65.8.1 to 14.65.11.25414.65.11.2551,022
6814.65.12.0/2214.65.12.1 to 14.65.15.25414.65.15.2551,022
6914.65.16.0/2214.65.16.1 to 14.65.19.25414.65.19.2551,022
7014.65.20.0/2214.65.20.1 to 14.65.23.25414.65.23.2551,022
7114.65.24.0/2214.65.24.1 to 14.65.27.25414.65.27.2551,022
7214.65.28.0/2214.65.28.1 to 14.65.31.25414.65.31.2551,022
7314.65.32.0/2214.65.32.1 to 14.65.35.25414.65.35.2551,022
7414.65.36.0/2214.65.36.1 to 14.65.39.25414.65.39.2551,022
7514.65.40.0/2214.65.40.1 to 14.65.43.25414.65.43.2551,022
7614.65.44.0/2214.65.44.1 to 14.65.47.25414.65.47.2551,022
7714.65.48.0/2214.65.48.1 to 14.65.51.25414.65.51.2551,022
7814.65.52.0/2214.65.52.1 to 14.65.55.25414.65.55.2551,022
7914.65.56.0/2214.65.56.1 to 14.65.59.25414.65.59.2551,022
8014.65.60.0/2214.65.60.1 to 14.65.63.25414.65.63.2551,022
8114.65.64.0/2214.65.64.1 to 14.65.67.25414.65.67.2551,022
8214.65.68.0/2214.65.68.1 to 14.65.71.25414.65.71.2551,022
8314.65.72.0/2214.65.72.1 to 14.65.75.25414.65.75.2551,022
8414.65.76.0/2214.65.76.1 to 14.65.79.25414.65.79.2551,022
8514.65.80.0/2214.65.80.1 to 14.65.83.25414.65.83.2551,022
8614.65.84.0/2214.65.84.1 to 14.65.87.25414.65.87.2551,022
8714.65.88.0/2214.65.88.1 to 14.65.91.25414.65.91.2551,022
8814.65.92.0/2214.65.92.1 to 14.65.95.25414.65.95.2551,022
8914.65.96.0/2214.65.96.1 to 14.65.99.25414.65.99.2551,022
9014.65.100.0/2214.65.100.1 to 14.65.103.25414.65.103.2551,022
9114.65.104.0/2214.65.104.1 to 14.65.107.25414.65.107.2551,022
9214.65.108.0/2214.65.108.1 to 14.65.111.25414.65.111.2551,022
9314.65.112.0/2214.65.112.1 to 14.65.115.25414.65.115.2551,022
9414.65.116.0/2214.65.116.1 to 14.65.119.25414.65.119.2551,022
9514.65.120.0/2214.65.120.1 to 14.65.123.25414.65.123.2551,022
9614.65.124.0/2214.65.124.1 to 14.65.127.25414.65.127.2551,022
9714.65.128.0/2214.65.128.1 to 14.65.131.25414.65.131.2551,022
9814.65.132.0/2214.65.132.1 to 14.65.135.25414.65.135.2551,022
9914.65.136.0/2214.65.136.1 to 14.65.139.25414.65.139.2551,022
10014.65.140.0/2214.65.140.1 to 14.65.143.25414.65.143.2551,022
10114.65.144.0/2214.65.144.1 to 14.65.147.25414.65.147.2551,022
10214.65.148.0/2214.65.148.1 to 14.65.151.25414.65.151.2551,022
10314.65.152.0/2214.65.152.1 to 14.65.155.25414.65.155.2551,022
10414.65.156.0/2214.65.156.1 to 14.65.159.25414.65.159.2551,022
10514.65.160.0/2214.65.160.1 to 14.65.163.25414.65.163.2551,022
10614.65.164.0/2214.65.164.1 to 14.65.167.25414.65.167.2551,022
10714.65.168.0/2214.65.168.1 to 14.65.171.25414.65.171.2551,022
10814.65.172.0/2214.65.172.1 to 14.65.175.25414.65.175.2551,022
10914.65.176.0/2214.65.176.1 to 14.65.179.25414.65.179.2551,022
11014.65.180.0/2214.65.180.1 to 14.65.183.25414.65.183.2551,022
11114.65.184.0/2214.65.184.1 to 14.65.187.25414.65.187.2551,022
11214.65.188.0/2214.65.188.1 to 14.65.191.25414.65.191.2551,022
11314.65.192.0/2214.65.192.1 to 14.65.195.25414.65.195.2551,022
11414.65.196.0/2214.65.196.1 to 14.65.199.25414.65.199.2551,022
11514.65.200.0/2214.65.200.1 to 14.65.203.25414.65.203.2551,022
11614.65.204.0/2214.65.204.1 to 14.65.207.25414.65.207.2551,022
11714.65.208.0/2214.65.208.1 to 14.65.211.25414.65.211.2551,022
11814.65.212.0/2214.65.212.1 to 14.65.215.25414.65.215.2551,022
11914.65.216.0/2214.65.216.1 to 14.65.219.25414.65.219.2551,022
12014.65.220.0/2214.65.220.1 to 14.65.223.25414.65.223.2551,022
12114.65.224.0/2214.65.224.1 to 14.65.227.25414.65.227.2551,022
12214.65.228.0/2214.65.228.1 to 14.65.231.25414.65.231.2551,022
12314.65.232.0/2214.65.232.1 to 14.65.235.25414.65.235.2551,022
12414.65.236.0/2214.65.236.1 to 14.65.239.25414.65.239.2551,022
12514.65.240.0/2214.65.240.1 to 14.65.243.25414.65.243.2551,022
12614.65.244.0/2214.65.244.1 to 14.65.247.25414.65.247.2551,022
12714.65.248.0/2214.65.248.1 to 14.65.251.25414.65.251.2551,022
12814.65.252.0/2214.65.252.1 to 14.65.255.25414.65.255.2551,022
12914.66.0.0/2214.66.0.1 to 14.66.3.25414.66.3.2551,022
13014.66.4.0/2214.66.4.1 to 14.66.7.25414.66.7.2551,022
13114.66.8.0/2214.66.8.1 to 14.66.11.25414.66.11.2551,022
13214.66.12.0/2214.66.12.1 to 14.66.15.25414.66.15.2551,022
13314.66.16.0/2214.66.16.1 to 14.66.19.25414.66.19.2551,022
13414.66.20.0/2214.66.20.1 to 14.66.23.25414.66.23.2551,022
13514.66.24.0/2214.66.24.1 to 14.66.27.25414.66.27.2551,022
13614.66.28.0/2214.66.28.1 to 14.66.31.25414.66.31.2551,022
13714.66.32.0/2214.66.32.1 to 14.66.35.25414.66.35.2551,022
13814.66.36.0/2214.66.36.1 to 14.66.39.25414.66.39.2551,022
13914.66.40.0/2214.66.40.1 to 14.66.43.25414.66.43.2551,022
14014.66.44.0/2214.66.44.1 to 14.66.47.25414.66.47.2551,022
14114.66.48.0/2214.66.48.1 to 14.66.51.25414.66.51.2551,022
14214.66.52.0/2214.66.52.1 to 14.66.55.25414.66.55.2551,022
14314.66.56.0/2214.66.56.1 to 14.66.59.25414.66.59.2551,022
14414.66.60.0/2214.66.60.1 to 14.66.63.25414.66.63.2551,022
14514.66.64.0/2214.66.64.1 to 14.66.67.25414.66.67.2551,022
14614.66.68.0/2214.66.68.1 to 14.66.71.25414.66.71.2551,022
14714.66.72.0/2214.66.72.1 to 14.66.75.25414.66.75.2551,022
14814.66.76.0/2214.66.76.1 to 14.66.79.25414.66.79.2551,022
14914.66.80.0/2214.66.80.1 to 14.66.83.25414.66.83.2551,022
15014.66.84.0/2214.66.84.1 to 14.66.87.25414.66.87.2551,022
15114.66.88.0/2214.66.88.1 to 14.66.91.25414.66.91.2551,022
15214.66.92.0/2214.66.92.1 to 14.66.95.25414.66.95.2551,022
15314.66.96.0/2214.66.96.1 to 14.66.99.25414.66.99.2551,022
15414.66.100.0/2214.66.100.1 to 14.66.103.25414.66.103.2551,022
15514.66.104.0/2214.66.104.1 to 14.66.107.25414.66.107.2551,022
15614.66.108.0/2214.66.108.1 to 14.66.111.25414.66.111.2551,022
15714.66.112.0/2214.66.112.1 to 14.66.115.25414.66.115.2551,022
15814.66.116.0/2214.66.116.1 to 14.66.119.25414.66.119.2551,022
15914.66.120.0/2214.66.120.1 to 14.66.123.25414.66.123.2551,022
16014.66.124.0/2214.66.124.1 to 14.66.127.25414.66.127.2551,022
16114.66.128.0/2214.66.128.1 to 14.66.131.25414.66.131.2551,022
16214.66.132.0/2214.66.132.1 to 14.66.135.25414.66.135.2551,022
16314.66.136.0/2214.66.136.1 to 14.66.139.25414.66.139.2551,022
16414.66.140.0/2214.66.140.1 to 14.66.143.25414.66.143.2551,022
16514.66.144.0/2214.66.144.1 to 14.66.147.25414.66.147.2551,022
16614.66.148.0/2214.66.148.1 to 14.66.151.25414.66.151.2551,022
16714.66.152.0/2214.66.152.1 to 14.66.155.25414.66.155.2551,022
16814.66.156.0/2214.66.156.1 to 14.66.159.25414.66.159.2551,022
16914.66.160.0/2214.66.160.1 to 14.66.163.25414.66.163.2551,022
17014.66.164.0/2214.66.164.1 to 14.66.167.25414.66.167.2551,022
17114.66.168.0/2214.66.168.1 to 14.66.171.25414.66.171.2551,022
17214.66.172.0/2214.66.172.1 to 14.66.175.25414.66.175.2551,022
17314.66.176.0/2214.66.176.1 to 14.66.179.25414.66.179.2551,022
17414.66.180.0/2214.66.180.1 to 14.66.183.25414.66.183.2551,022
17514.66.184.0/2214.66.184.1 to 14.66.187.25414.66.187.2551,022
17614.66.188.0/2214.66.188.1 to 14.66.191.25414.66.191.2551,022
17714.66.192.0/2214.66.192.1 to 14.66.195.25414.66.195.2551,022
17814.66.196.0/2214.66.196.1 to 14.66.199.25414.66.199.2551,022
17914.66.200.0/2214.66.200.1 to 14.66.203.25414.66.203.2551,022
18014.66.204.0/2214.66.204.1 to 14.66.207.25414.66.207.2551,022
18114.66.208.0/2214.66.208.1 to 14.66.211.25414.66.211.2551,022
18214.66.212.0/2214.66.212.1 to 14.66.215.25414.66.215.2551,022
18314.66.216.0/2214.66.216.1 to 14.66.219.25414.66.219.2551,022
18414.66.220.0/2214.66.220.1 to 14.66.223.25414.66.223.2551,022
18514.66.224.0/2214.66.224.1 to 14.66.227.25414.66.227.2551,022
18614.66.228.0/2214.66.228.1 to 14.66.231.25414.66.231.2551,022
18714.66.232.0/2214.66.232.1 to 14.66.235.25414.66.235.2551,022
18814.66.236.0/2214.66.236.1 to 14.66.239.25414.66.239.2551,022
18914.66.240.0/2214.66.240.1 to 14.66.243.25414.66.243.2551,022
19014.66.244.0/2214.66.244.1 to 14.66.247.25414.66.247.2551,022
19114.66.248.0/2214.66.248.1 to 14.66.251.25414.66.251.2551,022
19214.66.252.0/2214.66.252.1 to 14.66.255.25414.66.255.2551,022
19314.67.0.0/2214.67.0.1 to 14.67.3.25414.67.3.2551,022
19414.67.4.0/2214.67.4.1 to 14.67.7.25414.67.7.2551,022
19514.67.8.0/2214.67.8.1 to 14.67.11.25414.67.11.2551,022
19614.67.12.0/2214.67.12.1 to 14.67.15.25414.67.15.2551,022
19714.67.16.0/2214.67.16.1 to 14.67.19.25414.67.19.2551,022
19814.67.20.0/2214.67.20.1 to 14.67.23.25414.67.23.2551,022
19914.67.24.0/2214.67.24.1 to 14.67.27.25414.67.27.2551,022
20014.67.28.0/2214.67.28.1 to 14.67.31.25414.67.31.2551,022
20114.67.32.0/2214.67.32.1 to 14.67.35.25414.67.35.2551,022
20214.67.36.0/2214.67.36.1 to 14.67.39.25414.67.39.2551,022
20314.67.40.0/2214.67.40.1 to 14.67.43.25414.67.43.2551,022
20414.67.44.0/2214.67.44.1 to 14.67.47.25414.67.47.2551,022
20514.67.48.0/2214.67.48.1 to 14.67.51.25414.67.51.2551,022
20614.67.52.0/2214.67.52.1 to 14.67.55.25414.67.55.2551,022
20714.67.56.0/2214.67.56.1 to 14.67.59.25414.67.59.2551,022
20814.67.60.0/2214.67.60.1 to 14.67.63.25414.67.63.2551,022
20914.67.64.0/2214.67.64.1 to 14.67.67.25414.67.67.2551,022
21014.67.68.0/2214.67.68.1 to 14.67.71.25414.67.71.2551,022
21114.67.72.0/2214.67.72.1 to 14.67.75.25414.67.75.2551,022
21214.67.76.0/2214.67.76.1 to 14.67.79.25414.67.79.2551,022
21314.67.80.0/2214.67.80.1 to 14.67.83.25414.67.83.2551,022
21414.67.84.0/2214.67.84.1 to 14.67.87.25414.67.87.2551,022
21514.67.88.0/2214.67.88.1 to 14.67.91.25414.67.91.2551,022
21614.67.92.0/2214.67.92.1 to 14.67.95.25414.67.95.2551,022
21714.67.96.0/2214.67.96.1 to 14.67.99.25414.67.99.2551,022
21814.67.100.0/2214.67.100.1 to 14.67.103.25414.67.103.2551,022
21914.67.104.0/2214.67.104.1 to 14.67.107.25414.67.107.2551,022
22014.67.108.0/2214.67.108.1 to 14.67.111.25414.67.111.2551,022
22114.67.112.0/2214.67.112.1 to 14.67.115.25414.67.115.2551,022
22214.67.116.0/2214.67.116.1 to 14.67.119.25414.67.119.2551,022
22314.67.120.0/2214.67.120.1 to 14.67.123.25414.67.123.2551,022
22414.67.124.0/2214.67.124.1 to 14.67.127.25414.67.127.2551,022
22514.67.128.0/2214.67.128.1 to 14.67.131.25414.67.131.2551,022
22614.67.132.0/2214.67.132.1 to 14.67.135.25414.67.135.2551,022
22714.67.136.0/2214.67.136.1 to 14.67.139.25414.67.139.2551,022
22814.67.140.0/2214.67.140.1 to 14.67.143.25414.67.143.2551,022
22914.67.144.0/2214.67.144.1 to 14.67.147.25414.67.147.2551,022
23014.67.148.0/2214.67.148.1 to 14.67.151.25414.67.151.2551,022
23114.67.152.0/2214.67.152.1 to 14.67.155.25414.67.155.2551,022
23214.67.156.0/2214.67.156.1 to 14.67.159.25414.67.159.2551,022
23314.67.160.0/2214.67.160.1 to 14.67.163.25414.67.163.2551,022
23414.67.164.0/2214.67.164.1 to 14.67.167.25414.67.167.2551,022
23514.67.168.0/2214.67.168.1 to 14.67.171.25414.67.171.2551,022
23614.67.172.0/2214.67.172.1 to 14.67.175.25414.67.175.2551,022
23714.67.176.0/2214.67.176.1 to 14.67.179.25414.67.179.2551,022
23814.67.180.0/2214.67.180.1 to 14.67.183.25414.67.183.2551,022
23914.67.184.0/2214.67.184.1 to 14.67.187.25414.67.187.2551,022
24014.67.188.0/2214.67.188.1 to 14.67.191.25414.67.191.2551,022
24114.67.192.0/2214.67.192.1 to 14.67.195.25414.67.195.2551,022
24214.67.196.0/2214.67.196.1 to 14.67.199.25414.67.199.2551,022
24314.67.200.0/2214.67.200.1 to 14.67.203.25414.67.203.2551,022
24414.67.204.0/2214.67.204.1 to 14.67.207.25414.67.207.2551,022
24514.67.208.0/2214.67.208.1 to 14.67.211.25414.67.211.2551,022
24614.67.212.0/2214.67.212.1 to 14.67.215.25414.67.215.2551,022
24714.67.216.0/2214.67.216.1 to 14.67.219.25414.67.219.2551,022
24814.67.220.0/2214.67.220.1 to 14.67.223.25414.67.223.2551,022
24914.67.224.0/2214.67.224.1 to 14.67.227.25414.67.227.2551,022
25014.67.228.0/2214.67.228.1 to 14.67.231.25414.67.231.2551,022
25114.67.232.0/2214.67.232.1 to 14.67.235.25414.67.235.2551,022
25214.67.236.0/2214.67.236.1 to 14.67.239.25414.67.239.2551,022
25314.67.240.0/2214.67.240.1 to 14.67.243.25414.67.243.2551,022
25414.67.244.0/2214.67.244.1 to 14.67.247.25414.67.247.2551,022
25514.67.248.0/2214.67.248.1 to 14.67.251.25414.67.251.2551,022
25614.67.252.0/2214.67.252.1 to 14.67.255.25414.67.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses